%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-packaging
Version:       25.0
Release:       1mamba
Summary:       Core utilities for Python packages
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/packaging/
Source:        https://pypi.debian.net/packaging/packaging-%{version}.tar.gz
License:       BSD, Apache License 2.0
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11.5

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n packaging-%{version}

%build
%if "%{?bootstrap}"
# Bootstrap
virtualenv -p %{__python3} env
source env/bin/activate
pip install build installer flit_core
CFLAGS="%{optflags}" python -m build --no-isolation --wheel
%else
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%if "%{?bootstrap}"
# Bootstrap
. ./env/bin/activate
python -m installer --destdir=%{buildroot} --prefix=%{_prefix} dist/*.whl
%else
%{__python} -m installer --destdir=%{buildroot} dist/*.whl
%endif

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sun Apr 20 2025 Automatic Build System <autodist@openmamba.org> 25.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 24.2-1mamba
- automatic version update by autodist

* Sun Jul 21 2024 Automatic Build System <autodist@openmamba.org> 24.1-1mamba
- automatic version update by autodist

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 24.0-1mamba
- automatic update by autodist

* Mon Oct 02 2023 Automatic Build System <autodist@mambasoft.it> 23.2-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.1-2mamba
- rebuilt with python3 == 3.11 in bootstrap mode via pip

* Thu Apr 13 2023 Automatic Build System <autodist@mambasoft.it> 23.1-1mamba
- automatic version update by autodist

* Sun Jan 22 2023 Automatic Build System <autodist@mambasoft.it> 23.0-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 21.3-2mamba
- rebuilt with python 3.10

* Thu Nov 18 2021 Automatic Build System <autodist@mambasoft.it> 21.3-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 21.2-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 21.0-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.9-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 20.9-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 20.8-1mamba
- automatic version update by autodist

* Wed May 20 2020 Automatic Build System <autodist@mambasoft.it> 20.4-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 20.3-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 20.2-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- automatic version update by autodist

* Tue Jan 14 2020 Automatic Build System <autodist@mambasoft.it> 20.0-1mamba
- automatic version update by autodist

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 19.2-1mamba
- automatic version update by autodist

* Sat Aug 10 2019 Automatic Build System <autodist@mambasoft.it> 19.1-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.0-2mamba
- rebuilt with py36 support

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 19.0-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 18.0-1mamba
- automatic version update by autodist

* Wed May 09 2018 Automatic Build System <autodist@mambasoft.it> 17.1-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.8-1mamba
- package created using the webbuild interface
